Index: /trunk/source/physics_lists/test/compile.cc
===================================================================
--- /trunk/source/physics_lists/test/compile.cc	(revision 1274)
+++ /trunk/source/physics_lists/test/compile.cc	(revision 1274)
@@ -0,0 +1,127 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+#include "G4RunManager.hh" 
+
+#include "FTFC.hh"
+#include "FTFP.hh"
+#include "FTFP_BERT.hh"
+#include "FTFP_BERT_TRV.hh"
+
+#include "LBE.hh"
+#include "LHEP_BERT_HP.hh"
+#include "LHEP_BERT.hh"
+#include "LHEP_EMV.hh"
+#include "LHEP.hh"
+#include "LHEP_PRECO_HP.hh"
+
+#include "QBBC.hh"
+
+#include "QGSC_EMV.hh"
+#include "QGSC.hh"
+#include "QGSC_EFLOW.hh"
+#include "QGSC_BERT.hh"
+#include "QGSC_QGSC.hh"
+#include "QGSC_CHIPS.hh"
+#include "CHIPS.hh"
+
+#include "QGSP.hh"
+#include "QGSP_DIF.hh"
+#include "QGSP_BERT_HP.hh"
+#include "QGSP_BERT.hh"
+#include "QGSP_BERT_EMX.hh"
+#include "QGSP_BERT_DIF.hh"
+#include "QGSP_BIC_HP.hh"
+#include "QGSP_BIC.hh"
+#include "G4IonQMDPhysics.hh"
+#include "QGSP_EMV.hh"
+#include "QGSP_EMX.hh"
+#include "QGSP_QEL.hh"
+//#include "QGSP_CASC.hh"
+#include "QGSP_INCL_ABLA.hh"
+
+#include "QGSP_FTFP_BERT.hh"
+
+#include "QGS_BIC.hh"
+#include "FTF_BIC.hh"
+
+#include "CLHEP/Random/RanluxEngine.h" 
+
+int main(int argc,char** argv) { 
+
+  CLHEP::RanluxEngine defaultEngine( 1234567, 4 ); 
+  CLHEP::HepRandom::setTheEngine( &defaultEngine ); 
+  G4RunManager* runManager = new G4RunManager; 
+//  runManager->SetUserInitialization( new StatAccepTestDetectorConstruction ); 
+
+  G4VModularPhysicsList * theFTF1 = new FTFC; 
+  G4VModularPhysicsList * theFTF2 = new FTFP;
+  G4VModularPhysicsList * theFTF3 = new FTFP_BERT;
+  G4VModularPhysicsList * theFTF3a = new FTFP_BERT_TRV;
+
+  G4VModularPhysicsList *theLBE = new LBE; 
+
+  G4VModularPhysicsList *thePL4 = new LHEP_BERT_HP; 
+  G4VModularPhysicsList *thePL5 = new LHEP_BERT; 
+  G4VModularPhysicsList *thePL8 = new LHEP_EMV; 
+  G4VModularPhysicsList *thePL10 = new LHEP; 
+
+  G4VModularPhysicsList *thePL15 = new QBBC;
+
+  G4VModularPhysicsList *thePL16 = new QGSC_EMV;
+  G4VModularPhysicsList *thePL17 = new QGSC;
+//replaced  G4VModularPhysicsList *thePL17a = new QGSC_EFLOW;
+  G4VModularPhysicsList *thePL18 = new QGSC_BERT;
+  G4VModularPhysicsList *thePL18a = new QGSC_QGSC;
+  G4VModularPhysicsList *thePL18b = new QGSC_CHIPS;
+  G4VModularPhysicsList *thePL19 = new CHIPS;
+    
+  G4VModularPhysicsList *thePL20 = new QGSP_BERT_HP; 
+  G4VModularPhysicsList *thePL21 = new QGSP_BERT;
+  G4VModularPhysicsList *thePL21a = new QGSP_BERT_EMX;
+  G4VModularPhysicsList *thePL21b = new QGSP_BERT_DIF;
+  G4VModularPhysicsList *thePL22 = new QGSP_BIC_HP; 
+  G4VModularPhysicsList *thePL23 = new QGSP_BIC;
+  G4VModularPhysicsList *thePL23a= new QGSP_BIC(1);
+      G4IonQMDPhysics * ionQMD=new G4IonQMDPhysics("IonQMD",1);
+      thePL23a->RegisterPhysics(ionQMD);
+      ionQMD->ConstructProcess();
+  G4VModularPhysicsList *thePL24 = new QGSP_EMV;
+//replaced  G4VModularPhysicsList *thePL25 = new QGSP_EMX;
+  G4VModularPhysicsList *thePL27 = new QGSP;
+  G4VModularPhysicsList *thePL27a = new QGSP_DIF;
+  G4VModularPhysicsList *thePL28 = new QGSP_QEL;
+//  G4VModularPhysicsList *thePL29 = new QGSP_CASC;
+  G4VModularPhysicsList *thePL29 = new QGSP_INCL_ABLA;
+  
+  G4VModularPhysicsList *thePL30 = new QGS_BIC;
+  G4VModularPhysicsList *thePL31 = new FTF_BIC;
+  
+  G4VModularPhysicsList *thePL40 = new QGSP_FTFP_BERT;
+
+
+  delete runManager; 
+  return 0; 
+} 
Index: /trunk/source/processes/electromagnetic/lowenergy/include/G4OrlicLCrossSection.hh
===================================================================
--- /trunk/source/processes/electromagnetic/lowenergy/include/G4OrlicLCrossSection.hh	(revision 1274)
+++ /trunk/source/processes/electromagnetic/lowenergy/include/G4OrlicLCrossSection.hh	(revision 1274)
@@ -0,0 +1,78 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4OrlicLCrossSection.hh,v 1.3 2008/06/03 07:29:15 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
+//
+// Author: Haifa Ben Abdelouahed
+//         
+//
+// History:
+// -----------
+//  23 Apr 2008   H. Ben Abdelouahed   1st implementation
+//  28 Apr 2008   MGP        Major revision according to a design iteration
+//
+// -------------------------------------------------------------------
+
+// Class description:
+// Low Energy Electromagnetic Physics, Cross section, proton ionisation, L shell
+// Further documentation available from http://www.ge.infn.it/geant4/lowE
+
+// -------------------------------------------------------------------
+
+
+#ifndef G4ORLICLCROSSSECTION_HH
+#define G4ORLICLCROSSSECTION_HH 1
+
+#include "globals.hh"
+
+
+class G4OrlicLCrossSection 
+
+{
+public:
+
+  G4OrlicLCrossSection();
+
+  virtual ~G4OrlicLCrossSection();
+
+
+//according to I.ORLIC, C.H.SOW and S.M.TANG,International Journal of PIXE.Vol.4(1997) 217-230	
+		     
+  G4double CalculateL1CrossSection(G4int zTarget, G4double energyIncident);
+
+  G4double CalculateL2CrossSection(G4int zTarget, G4double energyIncident);				    
+ 
+  G4double CalculateL3CrossSection(G4int zTarget, G4double energyIncident);
+
+private:
+
+
+  G4OrlicLCrossSection(const G4OrlicLCrossSection&);
+  G4OrlicLCrossSection & operator = (const G4OrlicLCrossSection &right);
+
+};
+
+#endif
Index: /trunk/source/processes/electromagnetic/lowenergy/include/G4ecpssrCrossSection.hh
===================================================================
--- /trunk/source/processes/electromagnetic/lowenergy/include/G4ecpssrCrossSection.hh	(revision 1274)
+++ /trunk/source/processes/electromagnetic/lowenergy/include/G4ecpssrCrossSection.hh	(revision 1274)
@@ -0,0 +1,77 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4ecpssrCrossSection.hh,v 1.3 2008/06/03 07:29:15 gcosmo Exp $
+// GEANT4 tag $Name: geant4-09-03 $
+//
+// Author: Haifa Ben Abdelouahed
+//         
+//
+// History:
+// -----------
+//  21 Apr 2008   H. Ben Abdelouahed   1st implementation
+//  21 Apr 2008   MGP        Major revision according to a design iteration
+//
+// -------------------------------------------------------------------
+
+// Class description:
+// Low Energy Electromagnetic Physics, Cross section, p ionisation, K shell
+// Further documentation available from http://www.ge.infn.it/geant4/lowE
+
+// -------------------------------------------------------------------
+
+
+#ifndef G4ECPSSRCROSSSECTION_HH
+#define G4ECPSSRCROSSSECTION_HH 1
+
+#include "globals.hh"
+
+
+class G4ecpssrCrossSection 
+
+{
+public:
+
+  G4ecpssrCrossSection();
+
+  virtual ~G4ecpssrCrossSection();
+			     
+  G4double CalculateCrossSection(G4int zTarget,G4int zIncident, G4double energyIncident);//according to W.Brandt and G.Lapicki, Phys.Rev.A23(1981)
+				    
+  G4double CalculateVelocity(G4int zTarget,G4int zIncident, G4double energyIncident); 
+			      
+  G4double  ExpIntFunction(G4int n,G4double x);//Exponential Integral Function
+
+   
+
+private:
+
+
+  G4ecpssrCrossSection(const G4ecpssrCrossSection&);
+  G4ecpssrCrossSection & operator = (const G4ecpssrCrossSection &right);
+
+};
+
+#endif
Index: /trunk/source/visualization/History
===================================================================
--- /trunk/source/visualization/History	(revision 1273)
+++ /trunk/source/visualization/History	(revision 1274)
@@ -1,3 +1,3 @@
-$Id: History,v 1.460 2009/11/23 05:56:37 perl Exp $
+$Id: History,v 1.464 2010/05/20 07:58:13 allison Exp $
 -------------------------------------------------------------------
 
@@ -24,4 +24,23 @@
 History file for visualization category
 ---------------------------------------
+
+20th May 2010  John Allison  (vis-V09-03-01)
+- Co-working tags: intercoms-V09-03-01, interfaces-V09-03-02
+- opengl-V09-03-01:
+  o GNUMakefile, G4OpenGLQtViewer : Better inclusion of new tabs in UI part
+- visman-V09-03-01:
+  o Restore previous viewer after /vis/drawTree.
+
+11th May 2010  John Allison  (vis-V09-03-00)
+- visman-09-03-00: Print i_mode warnings.
+- modeling-V09-03-00:
+  o Replace polyhedra with solids for sections and cutaways.
+  o Trap use of i_mode and print warning.
+- opengl-V09-03-00:
+  o Many improvements to OpenGL Qt.
+  o Speed improvements for polymarkers (e.g., trajectories).
+  o Use generic section and cutaway algorithm.
+- gMocren-V09-03-01: printing improvement.
+- vistest-V09-03-00: Added printEPS to test19.g4m, as suggested by Laurent.
 
 22nd November 2009  Joseph Perl (vis-V09-02-12)
Index: /trunk/source/visualization/OpenGL/GNUmakefile
===================================================================
--- /trunk/source/visualization/OpenGL/GNUmakefile	(revision 1273)
+++ /trunk/source/visualization/OpenGL/GNUmakefile	(revision 1274)
@@ -11,5 +11,5 @@
 
 # For debug mode
-# CPPFLAGS += -DG4DEBUG_VIS_OGL
+CPPFLAGS += -DG4DEBUG_VIS_OGL
 
 GLOBLIBS  = libG4vis_management.lib libG4modeling.lib libG4gl2ps.lib
Index: /trunk/source/visualization/OpenGL/History
===================================================================
--- /trunk/source/visualization/OpenGL/History	(revision 1273)
+++ /trunk/source/visualization/OpenGL/History	(revision 1274)
@@ -1,3 +1,3 @@
-$Id: History,v 1.169 2010/05/20 07:09:33 lgarnier Exp $
+$Id: History,v 1.171 2010/05/26 14:50:56 lgarnier Exp $
 -------------------------------------------------------------------
 
@@ -17,5 +17,9 @@
      * Reverse chronological order (last date on top), please *
      ----------------------------------------------------------
-20th May 2010 Laurent Garnier
+
+26th May 2010 Laurent Garnier
+ - G4OpenGLQtViewer : Some improvments with auto rotation mode.
+
+20th May 2010 Laurent Garnier  (opengl-V09-03-01)
  Co-working tag : intercoms-V09-03-01, interfaces-V09-03-02
  - GNUMakefile, G4OpenGLQtViewer : Better inclusion of new tabs in UI part
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 1273)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLQtViewer.hh	(revision 1274)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.hh,v 1.21 2010/01/06 15:05:29 lgarnier Exp $
+// $Id: G4OpenGLQtViewer.hh,v 1.22 2010/05/26 14:50:56 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.hh
===================================================================
--- /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.hh	(revision 1273)
+++ /trunk/source/visualization/OpenGL/include/G4OpenGLSceneHandler.hh	(revision 1274)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLSceneHandler.hh,v 1.28 2010/04/30 13:18:32 lgarnier Exp $
+// $Id: G4OpenGLSceneHandler.hh,v 1.29 2010/05/11 10:17:32 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -93,6 +93,6 @@
   virtual ~G4OpenGLSceneHandler ();
 
-  const G4Polyhedron* CreateSectionPolyhedron ();
-  const G4Polyhedron* CreateCutawayPolyhedron ();
+  G4VSolid* CreateSectionSolid ();
+  G4VSolid* CreateCutawaySolid ();
 
   void ClearAndDestroyAtts();  // Destroys att holders and clears pick map.
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 1273)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLQtViewer.cc	(revision 1274)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLQtViewer.cc,v 1.50 2010/05/20 08:13:37 allison Exp $
+// $Id: G4OpenGLQtViewer.cc,v 1.51 2010/05/26 14:50:56 lgarnier Exp $
 // GEANT4 tag $Name:  $
 //
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLSceneHandler.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLSceneHandler.cc	(revision 1273)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLSceneHandler.cc	(revision 1274)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLSceneHandler.cc,v 1.57 2010/04/30 13:18:32 lgarnier Exp $
+// $Id: G4OpenGLSceneHandler.cc,v 1.58 2010/05/11 10:17:32 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -138,22 +138,22 @@
 }
 
-const G4Polyhedron* G4OpenGLSceneHandler::CreateSectionPolyhedron ()
+G4VSolid* G4OpenGLSceneHandler::CreateSectionSolid ()
 {
   // Clipping done in G4OpenGLViewer::SetView.
-  return 0;
+  // return 0;
 
   // But...OpenGL no longer seems to reconstruct clipped edges, so,
   // when the BooleanProcessor is up to it, abandon this and use
-  // generic clipping in G4VSceneHandler::CreateSectionPolyhedron...
-  // return G4VSceneHandler::CreateSectionPolyhedron();
-}
-
-const G4Polyhedron* G4OpenGLSceneHandler::CreateCutawayPolyhedron ()
+  // generic clipping in G4VSceneHandler::CreateSectionSolid...
+  return G4VSceneHandler::CreateSectionSolid();
+}
+
+G4VSolid* G4OpenGLSceneHandler::CreateCutawaySolid ()
 {
   // Cutaway done in G4OpenGLViewer::SetView.
-  return 0;
+  // return 0;
 
   // But...if not, when the BooleanProcessor is up to it...
-  // return G4VSceneHandler::CreateCutawayPolyhedron();
+  return G4VSceneHandler::CreateCutawaySolid();
 }
 
Index: /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc
===================================================================
--- /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 1273)
+++ /trunk/source/visualization/OpenGL/src/G4OpenGLViewer.cc	(revision 1274)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4OpenGLViewer.cc,v 1.61 2010/04/27 15:59:10 lgarnier Exp $
+// $Id: G4OpenGLViewer.cc,v 1.62 2010/05/11 10:22:37 allison Exp $
 // GEANT4 tag $Name:  $
 //
@@ -271,5 +271,6 @@
   // force kernel visit on change of clipping plane in
   // G4OpenGLStoredViewer::CompareForKernelVisit.
-  if (fVP.IsSection () ) {  // pair of back to back clip planes.
+  //if (fVP.IsSection () ) {  // pair of back to back clip planes.
+  if (false) {  // pair of back to back clip planes.
     const G4Plane3D& s = fVP.GetSectionPlane ();
     double sArray[4];
@@ -293,5 +294,6 @@
   const G4Planes& cutaways = fVP.GetCutawayPlanes();
   size_t nPlanes = cutaways.size();
-  if (fVP.IsCutaway() &&
+  //if (fVP.IsCutaway() &&
+  if (false &&
       fVP.GetCutawayMode() == G4ViewParameters::cutawayIntersection &&
       nPlanes > 0) {
@@ -384,5 +386,5 @@
   GLint hits = glRenderMode(GL_RENDER);
   if (hits < 0)
-    G4cout << "Too many hits.  Zoom in to reduce overlaps." << G4cout;
+    G4cout << "Too many hits.  Zoom in to reduce overlaps." << G4endl;
   else if (hits > 0) {
     //G4cout << hits << " hit(s)" << G4endl;
@@ -390,6 +392,6 @@
     for (GLint i = 0; i < hits; ++i) {
       GLuint nnames = *p++;
-      *p++; //OR GLuint zmin = *p++;
-      *p++; //OR GLuint zmax = *p++;
+      p++; //OR GLuint zmin = *p++;
+      p++; //OR GLuint zmax = *p++;
       //G4cout << "Hit " << i << ": " << nnames << " names"
       //     << "\nzmin: " << zmin << ", zmax: " << zmax << G4endl;
@@ -478,5 +480,6 @@
   // Change the LC_NUMERIC value in order to have "." separtor and not ","
   // This case is only useful for French, Canadien...
-  char *oldLocale = strdup(setlocale(LC_NUMERIC,NULL));
+  char* oldLocale = (char*)(malloc(strlen(setlocale(LC_NUMERIC,NULL))+1));
+  if(oldLocale!=NULL) strcpy(oldLocale,setlocale(LC_NUMERIC,NULL));
   setlocale(LC_NUMERIC,"C");
 
Index: /trunk/source/visualization/gMocren/History
===================================================================
--- /trunk/source/visualization/gMocren/History	(revision 1273)
+++ /trunk/source/visualization/gMocren/History	(revision 1274)
@@ -1,3 +1,3 @@
-$Id: History,v 1.9 2009/12/03 11:44:42 akimura Exp $
+$Id: History,v 1.11 2010/05/11 10:44:35 allison Exp $
 -------------------------------------------------------------------
 
@@ -20,4 +20,12 @@
 History file for visualization/gMocren sub-category
 ---------------------------------------------------
+
+11 May 2010  John Allison  (gMocren-V09-03-01)
+- G4GMocrenFileSceneHandler.cc: Added G4cout << G4endl; to improve printing.
+
+22 January 2010  Gabriele Cosmo (gMocren-V09-03-00)
+Fix in G4GMocrenFileSceneHandler.cc to allow for porting on C++0x Standard:
+made explicit with static_cast conversions from double to float. Also use
+G4 types in consistent way.
 
 3 December 2009  Akinori Kimura
